
%define 	pname	 attr 
%define 	pversion 2.0.9 
%define 	prelease 1

Summary		: Data Management API (DMAPI) information. 
Name		: lib%{pname}
Version		: %{pversion}
Release		: 1.0.0.%{_hhl_build_id}
URL		: http://oss.sgi.com/projects/xfs/download.html
Source		: %{pname}-%{version}.src.tar.gz
Source1		: %{pname}.tmpl
Source2		: %{pname}-dev.tmpl
Patch		: %{pname}-cross.diff
License		: GPL
Group		: utils 
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define 	_docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-lib%{pname}
Obsoletes : hhl-%{_hhl_target_arch}-libattr 

%description

# Primary package


%package -n lib%{pname}-dev
Summary		: Data Management API (DMAPI) information. 
Group		: utils
autoreqprov	: no

Obsoletes : hhl-%{_hhl_target_arch}-libattr-dev

%description -n lib%{pname}-dev

Data processing library for xfsdump...


%prep

%target_check

%setup  -n %{pname}-%{version}
%patch -p1


%build
%target_setup
cat `which libtool` \
	| sed -e /^CC\=/d \
	    -e /^AR\=/d \
	    -e /^RANLIB\=/d > local-libtool
chmod 755 local-libtool
export ac_cv_path_LIBTOOL="`pwd`/local-libtool"
./configure \
        --host=%{_hhl_target_config} \
        --build=%{_hhl_host_config} \
        --prefix=%{_hhl_target_prefix} \
        --exec-prefix=%{_hhl_target_exec_prefix} \
        --bindir=%{_hhl_target_bin_dir} \
        --sbindir=%{_hhl_target_sbin_dir} \
        --sysconfdir=%{_hhl_target_sysconf_dir} \
        --datadir=%{_hhl_target_data_dir} \
        --includedir=%{_hhl_target_include_dir} \
        --libdir=%{_hhl_target_lib_dir} \
        --libexecdir=%{_hhl_target_libexec_dir} \
        --localstatedir=%{_hhl_target_localstate_dir} \
        --sharedstatedir=%{_hhl_target_sharedstate_dir} \
        --mandir=%{_hhl_target_man_dir} \
        --infodir=%{_hhl_target_info_dir} --enable-shared-uuid
%make


%install
rm -rf %{buildroot}
%target_setup
cp doc/COPYING LICENSE
rm -rf objdir
ln -sf . objdir
%target_makeinstall DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install-dev
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/*
install -m 644 libattr/.libs/libattr.a %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
install -m 644 libattr/.libs/libattr.so.1.0.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
ln -s libattr.so.1.0.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.so.1
ln -s libattr.so.1.0.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.so

 
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}-dev

%clean
rm -rf %{buildroot}


%files -n lib%{pname}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/attr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/getfattr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/setfattr
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.so.1
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.so.1.0.1
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/attr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/getfattr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/setfattr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/attr.5.gz
%doc doc/CHANGES.gz doc/COPYING doc/PORTING README LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}


%files -n lib%{pname}-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}-dev
%doc doc/CHANGES.gz doc/COPYING doc/PORTING README LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/attr/attributes.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/attr/xattr.h
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libattr.so
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/fgetxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/flistxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/fremovexattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/fsetxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/getxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/lgetxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/listxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/llistxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/lremovexattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/lsetxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/removexattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man2/setxattr.2.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_get.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_getf.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_multi.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_multif.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_remove.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_removef.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_set.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/attr_setf.3.gz


